//=========================================================================
// Required Add On
//=========================================================================
%error = ForceRequiredAddOn("Event_SaveLoadItems");

if(%error == $Error::AddOn_NotFound)
{
	error("ERROR: Server_AutoItemLoading - required add-on Event_SaveLoadItems not found");

	%poo = true;
}

%errorB = ForceRequiredAddOn("Gamemode_Slayer");

if(%errorB == $Error::AddOn_NotFound)
{
	error("ERROR: Server_AutoItemLoading - required add-on Gamemode_Slayer not found");

	%poo = true;
}

if(%poo)
{
	return;
}
//=========================================================================
// Slayer Pref
//=========================================================================
if($AddOn__Gamemode_Slayer == 1)
{
	if(!isObject(Slayer))
	{
		exec("Add-Ons/Gamemode_Slayer/Main.cs");
	}

	if(!$Slayer::Server::Dependencies::Preferences)
	{
		exec("Add-Ons/Gamemode_Slayer/Dependencies/Preferences.cs");
	}

	Slayer.Prefs.addPref("Minigame", "Auto Item Loading", "%mini.AutoItemLoading_Enabled", "Bool", "1", "0", "1", "2", "Advanced");
}
//=========================================================================
// Server Command
//=========================================================================
function serverCmdAutoLoad(%client)
{
	if(%client.autoLoadItems)
	{
		%client.autoLoadItems = false;

		messageClient(%client,'', "\c6Auto load items is now \c0OFF\c6.");
	}

	else
	{
		%client.autoLoadItems = true;

		messageClient(%client,'', "\c6Auto load items is now \c2ON\c6.");
	}
}
//=========================================================================
// Package
//=========================================================================
package AutoItemLoading
{
	function gameConnection::spawnPlayer(%client)
	{
		parent::spawnPlayer(%client);

		if(isObject(%client.minigame) && !%client.minigame.AutoItemLoading_Enabled && %client.autoLoadItems)
		{
			commandToClient(%client, 'centerPrint', "Auto Item Loading is disabled in your minigame!" NL "\c3/autoLoad\c0 to disable this message.", 5);

			return;
		}

		if(isObject(%client.minigame))
		{
			if(%client.minigame.AutoItemLoading_Enabled && %client.autoLoadItems)
			{
				%client.player.loadItems();

				commandToClient(%client, 'centerPrint', "\c6Your items have been automatically loaded." NL "\c3/autoLoad\c6 to turn this feature off.", 5);
			}
		}

		else
		{
			if(%client.autoLoadItems)
			{
				%client.player.loadItems();

				commandToClient(%client, 'centerPrint', "\c6Your items have been automatically loaded." NL "\c3/autoLoad\c6 to turn this feature off.", 5);
			}
		}
	}
};
activatePackage(AutoItemLoading);